Skip to main content
`Ctrl`+`K`

# PetscSynchronizedPrintf

Prints synchronized output from multiple MPI processes. Output of the first processor is followed by that of the second, etc.

## Synopsis

    PetscErrorCode PetscSynchronizedPrintf(MPI_Comm comm, const char format[], ...)

Not Collective

## Input Parameters

- comm - the MPI communicator

- format - the usual `printf()` format string

## Note

REQUIRES a call to `PetscSynchronizedFlush()` by all the processes after the completion of the calls to `PetscSynchronizedPrintf()` for the information from all the processors to be printed.

## Fortran Note

The call sequence is `PetscSynchronizedPrintf`(`MPI_Comm`, `character`(*), `PetscErrorCode` ierr). That is, you can only pass a single character string from Fortran.

## See Also

`PetscSynchronizedFlush()`, `PetscSynchronizedFPrintf()`, `PetscFPrintf()`, `PetscPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscFFlush()`

## Level

intermediate

## Location

src/sys/fileio/mprint.c

## Examples

src/sys/tutorials/ex2.c
src/dm/tutorials/ex51.c
src/vec/is/sf/tutorials/ex1.c
src/vec/vec/tutorials/ex9.c
src/dm/tutorials/ex22.c
src/sys/tutorials/ex2f.F90
src/ksp/pc/tutorials/ex3.c
src/snes/tutorials/ex63.c
src/dm/tutorials/ex5.c
src/ts/tutorials/ex10.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages